# Interface IPhaseSet

All Known Subinterfaces:
  `ISizingPhaseSet`

public interface IPhaseSet
Describes a set of provisioning phases to be performed by an `IEngine`.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getPhaseIds()`
Returns the ids of the phases to be performed by this phase set.

## Method Details

### getPhaseIds

String[] getPhaseIds()
Returns the ids of the phases to be performed by this phase set. The order of the returned ids indicates the order in which the phases will be run.

Returns:
  The phase ids.